// LICENSE_CODE ZON
'use strict'; /*jslint browser:true, es5:true*/
require(['jquery', '/util/url.js'], function($, url){
$(function(){

function post(type){
    window.parent.postMessage({signature: 'hola.org', type: type}, '*');
}

function extract_title(link){
    var m = link.match(/^magnet:\?(.*)$/);
    if (m) // magnet link
    {
        var param = url.qs_parse(m[1]);
        var ret = param.dn || param['dn.1'];
        return ret.replace(/_/g, ' ');
    }
    m = link.match(/^[^?#]+\/([^/?#]+)([?#].*)?$/);
    if (!m)
        return;
    var filename = decodeURIComponent(m[1]);
    if (!filename.match(/\.torrent$/))
        return; // this excludes play#v=...torrent
    return filename.replace(/_/g, ' ');
}

$(window).on('message', function(event){
    var oe = event.originalEvent;
    var list = $('#list');
    for (var i = 0; i<oe.data.length; i++)
    {
        var title = extract_title(oe.data[i]);
        if (!title)
            continue;
        var a = $('<a target="_top">').text(title)
            .attr('href', oe.data[i]);
        a.prepend($('<img>').attr('src', 'img/play.svg'));
        var log_msg = 'perr_mp_popup_link_click'
            +(oe.data[i].match(/^magnet:\?(.*)$/) ? '_magnet' : '_torrent');
        a.attr('onclick', 'console.log("'+log_msg+'"); return true;');
        list.append($('<li onclick="console.log(\''+log_msg+'\');'
            +'top.window.location.href=\''+oe.data[i]+'\';">').append(a));
    }
    if (list.children().length)
    {
        $('#content').show();
        console.log('perr_mp_popup_show');
    }
    else
        post('close');
});

$('#close').click(function(){
    post('close');
    console.log('perr_mp_popup_closed');
    return false;
});

window.onresize = function() {
    resize_elements();
};

function resize_elements(){
    document.getElementById('title').style.fontSize =
        Math.max(16,(Math.min($(window).width(), $(window).height())/20))+'px';
    document.getElementById('logo').width =
        Math.max(25,(Math.min($(window).width(), $(window).height())/15));
    document.getElementById('close').style.fontSize =
        Math.max(32,(Math.min($(window).width(), $(window).height())/10))+'px';
    $('li').css('font-size', Math.max(18,
        (Math.min($(window).width(), $(window).height())/17.5))+'px');
    $('li').css('line-height', Math.max(50,
        (Math.min($(window).width(), $(window).height())/6.4))+'px');
}

post('ready');

});
});
